package com.openhis.common.enums.ybenums;

import com.github.pagehelper.util.StringUtil;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 医疗机构等级
 *
 * @author Thanking
 */
@Getter
@AllArgsConstructor
public enum YbMedinsLv {

    /**
     * 三级特等
     */
    THIRD_SPECIAL("01", "三级特等"),
    /**
     * 三级甲等
     */
    THIRD_A("02", "三级甲等"),
    /**
     * 三级乙等
     */
    THIRD_B("03", "三级乙等"),
    /**
     * 三级丙等
     */
    THIRD_C("04", "三级丙等"),
    /**
     * 二级甲等
     */
    SECOND_A("05", "二级甲等"),
    /**
     * 二级乙等
     */
    SECOND_B("06", "二级乙等"),
    /**
     * 二级丙等
     */
    SECOND_C("07", "二级丙等"),
    /**
     * 一级甲等
     */
    FIRST_A("08", "一级甲等"),
    /**
     * 一级乙等
     */
    FIRST_B("09", "一级乙等"),
    /**
     * 一级丙等
     */
    FIRST_C("10", "一级丙等"),
    /**
     * 无等级
     */
    NO_LEVEL("11", "无等级");

    private String value;
    private String description;

    public static YbMedinsLv getByValue(String value) {
        if (StringUtil.isEmpty(value)) {
            return null;
        }
        for (YbMedinsLv val : values()) {
            if (val.getValue().equals(value)) {
                return val;
            }
        }
        return null;
    }
}
